Major annoyance

Discussion in 'Sony Alpha E-Mount Cameras' started by dixeyk, Jan 29, 2013.

  1. dixeyk

    dixeyk TalkEmount All-Pro

    Jun 18, 2012
    Bellingham . WA
    Kevin
    The fact that the Sony updater for firmware doesn't run in a 64 bit system so it won't run in OSX Mountain Lion. If this were 2010 I could understand it but in 2013...from a company like Sony...sheesh. What a PITA.
     
  2. nianys

    nianys TalkEmount All-Pro

    Aug 23, 2012
    France
    Feel your pain :(
     
  3. Simsy

    Simsy TalkEmount Regular

    141
    Dec 23, 2012
    The Sony update worked perfectly for my a77 and I run Mountain Lion on my mac book pro
     
  4. davect01

    davect01 Super Moderator

    Aug 20, 2011
    Fountain Hills, AZ
    Dave
    Feel your pain, but most of us don't use 64 bit.
     
  5. quezra

    quezra TalkEmount Top Veteran

    916
    Aug 22, 2012
    Sony rumors just announced lens support firmware updates for the NEX! Highlights: PDAF support for the SEL1018, SEL35F18, SEL30M35, SEL50F18, SEL18200LE!! Distortion removal for use of the 1650PZ with the 5N!

    Time for me to plop for a NEX-6 and send my 5N for retirement? :D This is just awesome, the 50/1.8 and LE were the two native Sony lenses I have, and the draw of the all-in-oneness of the 6 is enticing. And turning my 5N into a fancy point-and-shoot with the PZ lens for my wife is the perfect upgrade excuse :D
     
  6. dixeyk

    dixeyk TalkEmount All-Pro

    Jun 18, 2012
    Bellingham . WA
    Kevin
    The updater failed on my 32 bit Windows machine as well. Sony apparently thinks I should send the camera to them for a firmware update.
     
  7. dixeyk

    dixeyk TalkEmount All-Pro

    Jun 18, 2012
    Bellingham . WA
    Kevin
    Apparently the updater for the A77 and newer NEX models works with 64 bit systems
     
  8. Poki

    Poki TalkEmount Hall of Famer

    Aug 30, 2011
    Austria
    Too bad ... 64 bit is standard since Snow Leopard, and some companies still weren't able to fully support it.
     
  9. Bimjo

    Bimjo Super Moderator

    Oct 28, 2011
    Washington State
    Jim
  10. dixeyk

    dixeyk TalkEmount All-Pro

    Jun 18, 2012
    Bellingham . WA
    Kevin
    Unfortunately not in Mountain Lion (10.8)..it's 64 bit only. That only works up through 10.7. It's not the end of the world. The 1.01 firmware update is not something I NEED.
     
  11. Bimjo

    Bimjo Super Moderator

    Oct 28, 2011
    Washington State
    Jim
    Oops!
     
  12. dixeyk

    dixeyk TalkEmount All-Pro

    Jun 18, 2012
    Bellingham . WA
    Kevin
    Solved it...had to perform the update on an old Windows XP machine.